/*
** This is a Dialog box to give information about an application.  It
** includes the outline, the text, a space for the name of the application,
** and a dismiss ("OK") button.
*/
package extra.ui;

import waba.ui.*;
import waba.fx.*;
import waba.sys.*;
import waba.util.*;


public class InfoDialog extends Container
{
Button okButton;
Font font;
Vector dtext;
String txStr;
int vcenter, hcenter, numlines, textLine, ht;

public InfoDialog(Vector dtext)
	{

	this.dtext = dtext;

	numlines = dtext.getCount();


	okButton = new Button ("OK");
	}

public void onPaint (Graphics g)
	{

	//find the outside of this dialog
	Rect sz = this.getRect();


	//Draw outline for dialog box.
	g.setColor (0, 0, 0);
	g.fillRect (sz.x, sz.y, this.width, this.height);
	g.setColor (255, 255, 255);
	g.fillRect (sz.x + 2, sz.y + 2, (this.width - 4), (this.height - 4));


	//Put in Text
	g.setColor(0, 0, 0);
	this.font = new Font("Helvetica", Font.BOLD, 12);
	FontMetrics fm = getFontMetrics(font);
	ht = fm.getHeight() + fm.getLeading();
	vcenter = (this.height - 18) /2;
	hcenter = this.width / 2;

	textLine = vcenter - ((numlines *ht )/ 2);

txStr = "Testing";

	for (int i = 0; i < numlines; i++)
		{
		g.drawText((String)dtext.get(i), sz.x + (hcenter - (fm.getTextWidth((String)dtext.get(i)) / 2)), textLine);
		textLine = textLine + ht;
		}

	okButton.setRect (sz.x + ((sz.width/2) - 10), sz.y + (sz.height - 20), 20, 15);
	add(okButton);


	}



public void onEvent (Event event)
	{
	if (event.type == ControlEvent.PRESSED)
		{
		if (event.target == okButton)
			this.getParent().remove (this);
		}

	}

}
